sane-matsushita(5)

BEZEICHNUNG
sane-matsushita - SANE-Backend für KV-SS-Hochgeschwindigkeitsscanner von Panasonic

BESCHREIBUNG
Die Bibliothek sane-matsushita implementiert ein SANE-(Scanner Access Now Easy) Backend zum Zugriff auf einige Panasonic KV-SS Hochgeschwindigkeits-Scanner. Dieses Backend ist stabil.

Gegenwärtig sollten die folgenden Scanner mit diesem Backend funktionieren:

      Produktkennung
    --------------
       KV-SS25
       KV-SS25D
       KV-SS55EX (*)
       KV-S2025C (*)
       KV-S2045C (*)
       KV-S2065L (*)

(*) WARNUNG: Keine der fortgeschrittenen Optionen dieser Scanner ist verfügbar (d.h. keine Farbe, keine hohe Auflösung, kein automatisches Abschneiden). Im Wesentlichen macht der Treiber nicht mehr als er für den KV-SS25 macht. Ich habe auf diese Scanner keinen Zugriff und kann daher diese Optionen nicht ergänzen. Andere Hochgeschwindigkeits-Scanner von Panasonic könnten mit diesem Backend funktionieren oder auch nicht. Gültige Befehlszeilenoptionen und deren Syntax können Sie mit folgendem Befehl auflisten:

    scanimage --help -d matsushita

Scanmodus

--mode
    wählt den grundlegenden Betriebsmodus des Scanners.

--resolution
    wählt die Scan-Auflösung. Jedes Modell unterstützt entweder alle oder einen Teil dieser Auflösungen: 100, 150, 200, 240, 300, 360, 400.

--duplex
    zeigt an, ob beide Seiten des Blattes gescannt werden sollen.

--feeder-mode
    wählt die Anzahl der zu scannenden Seiten (eine oder bis die Zuführung leer ist)

Geometrie

--paper-size A4|…|Legal|Letter [A4]
    wählt den Scanbereich. Es passt die Optionen -l -t -x -y entsprechend an. Es muss nicht die echte Papiergröße sein.

-l -t -x -y
    steuern den Scan-Bereich: »-l« setzt die obere linke X-Koordinate, »-t« die obere linke Y-Koordinate, »-x« wählt die Breite und »-y« die Höhe des Scan-Bereichs. Alle Parameter werden in Millimetern angegeben. Es ist möglich, stattdessen die Option --paper-size zu verwenden.

Verbesserung

--brightness
    steuert die Helligkeit des erlangten Bildes. Der Wert liegt im Bereich 1 bis weniger als 255, abhängig vom Scanner-Modell.

--contrast
    steuert den Kontrast des erlangten Bildes. Einige Modelle unterstützen diese Option nicht.

--automatic-threshold
    setzt die Helligkeit, den Kontrast, den Weißabgleich, Gamma, die Rauschunterdrückung und die Bildbetonung automatisch. Diese Optionen sind nicht verfügbar, wenn --automatic-threshold verwendet wird.

--halftone-pattern
    setzt die tonale Abstufung für den Halftone-Modus. Das Herunterladen von Mustern ist im Backend nicht implementiert.

--autoseparation
    stellt automatische Trennung von Text und Bildern bereit.

--white-level
    zeigt die Quelle des Weißpunktes an.

--noise-reduction
    reduziert isoliertes Punkterauschen. Diese Option wird nicht von allen Scannern unterstützt.

--image-emphasis
    setzt die Bildbetonung. Einige Auswahlen sind nicht auf allen Scannern verfügbar.

--gamma
    setzt die Gammakurve. Sie ist nur für Graustufenmodi gültig und nicht auf allen Scannern verfügbar. Das Herunterladen von Gamma ist vom Backend nicht implementiert.

KONFIGURATIONSDATEI
Die Konfigurationsdatei /etc/sane.d/matsushita.conf unterstützt den zu verwendenden Gerätenamen (z.B. /dev/scanner) und die SCSI-Optionen, um die unterstützten Scanner automatisch zu erkennen.

DATEIEN

/usr/lib/sane/libsane-matsushita.a
    Die statische Bibliothek, die dieses Backend implementiert.

/usr/lib/sane/libsane-matsushita.so
    Die dynamische Bibliothek, die dieses Backend implementiert (auf Systemen verfügbar, die dynamisches Laden unterstützen).

UMGEBUNGSVARIABLEN

SANE_DEBUG_MATSUSHITA
    Falls die Bibliothek mit Debug-Unterstützung kompiliert wurde, steuert diese Umgebungsvariable die Debug-Stufe für dieses Backend. Beispielsweise bewirkt ein Wert von 128 die Anzeige sämtlicher Debug-Ausgaben. Kleinere Werte reduzieren die Ausführlichkeit.

EINSCHRÄNKUNGEN

Speicher im KV-SS 25
    Der KV-SS 25 hat nicht genug internen Speicher, um eine gesammte A4-Seite im Duplex-Modus in hoher Auflösung zu scannen. Die Oberfläche wird in diesem Fall einen Speicherfehler zurückliefern. Anscheinend hat der KV-SS 25D das Problem nicht.

Herunterladen von Mustern und Gamma
    Mit der geeigneten Firmware kann der Scanner die Halftone-Muster und eine Gamma-Tabelle herunterladen. Dies ist nicht implementiert.

Unterbereiche
    Der Scanner kann bis zu 3 Unterbereiche auf jeder Seite unterstützen, um einige genauere Verbesserungsoptionen zu definieren. Dies ist nicht implementiert.

Duplexmodus
    Das Backend unterstützt das Einstellen verschiedener Optionen für jede Seite nicht. Der Scan erfolgt mit den gleichen Optionen (Halftone-Muster, Helligkeit, Bildbetonung) für beide Seiten.

SCAN-BEISPIEL
Derzeit ist scanadf(1) die einzige Oberfläche, die den Scanner mit voller Geschwindigkeit verwenden kann. Eine mögliche scanadf(1)-Befehlszeile wäre: scanadf -d matsushita --output-file scan%04d.pbm --start-count 0 --duplex --resolution 300 --feeder-mode="All pages" --paper-size="A4"

FEHLER
Keine bekannt.

SIEHE AUCH
sane-scsi(5), scanimage(1), xscanimage(1), xsane(1), sane(7)

AUTOR

Das Paket wird aktiv von Frank Zago betreut.
    http://www.zago.net/sane/#matsushita

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).